[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[wtp-dev] org.eclipse.wst.common.uriresolver has been incremented to 1.2.0

It wouldn't be API cut-off week if someone didn't break the build in some 
way, and I guess my number's up.  I hadn't gotten around to releasing a 
change to fix bug 365243 until this week.  The patch on the bug adds an 
internal class that was intended to be called from another plug-in, and I 
chose to instead add the new class as proper public API.  The fallout from 
this is that the plug-in's minor version has been incremented, and some 
plug-ins with narrow ranges are broken.  I've come to see that while most 
of the breaking plug-ins were in Source Editing, Java EE, JSF, and Web 
Services may be affected as well.

My apologies for not communicating this earlier and better, but anyone's 
plug-ins who had narrow ranges needs to widen them if we're going to enter 
our M6 quiet week on schedule.  All of the changes implementing this have 
already been released and a notation added into the migration document.

Regards,
---
Nitin Dahyabhai
Eclipse WTP Source Editing and JSDT
IBM Rational